python-cdd_0.0.11+nmu1_all.deb


Advertisement

Description

python-cdd - library to make easier to build CDD related applications

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-cdd
Package version: 0.0.11+nmu1
Package release:
Package architecture: all
Package type: deb
Installed size: 48 B
Download size: 11.02 KB
Official Mirror: archive.ubuntu.com
This is a library that include common things to make easier to build Custom Debian Distributions related applications.

Alternatives

    Download

    Source package: python-cdd

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-cdd deb package:
      # sudo apt-get install python-cdd

    Files

    • /usr/lib/python2.7/dist-packages/python_cdd-0.0.11_nmu1.egg-info
    • /usr/lib/python2.7/dist-packages/cdd/FileSystem.py
    • /usr/lib/python2.7/dist-packages/cdd/Package.py
    • /usr/lib/python2.7/dist-packages/cdd/PackageList.py
    • /usr/lib/python2.7/dist-packages/cdd/__init__.py
    • /usr/share/doc/python-cdd/AUTHORS
    • /usr/share/doc/python-cdd/changelog.gz
    • /usr/share/doc/python-cdd/copyright

    Changelog

    2015-08-18 - Matthias Klose <doko@debian.org> python-cdd (0.0.11+nmu1) unstable; urgency=medium * Non-maintainer upload. * Build using dh-python. Closes: #786325.

    2010-10-22 - Otavio Salvador <otavio@ossystems.com.br> python-cdd (0.0.11) unstable; urgency=low [ Martin Fuzzey ] * use hashlib instead of md5, sha (Closes: #595465)

    2010-03-22 - Otavio Salvador <otavio@ossystems.com.br> python-cdd (0.0.10) unstable; urgency=low [ Martin Fuzzey ] * python-apt 0.8 API transition (Closes: #572055) [ Otavio Salvador ] * Update to dpkg-source 3.0 (native) format.

    2009-01-22 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.9) unstable; urgency=low [ Martin Fuzzey ] * cdd.PackageList: - Use apt_pkg.VersionCompare. Closes: #511116 * cdd.Package: - Apply patch from Alexander Inyukhin for missing fields. Closes: #502648

    2008-05-21 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.8) unstable; urgency=low [ Martin Fuzzey ] * cdd.Filesystem: - match() now returns filenames relative to base for coherencey * cdd.PackageList: - Add versionned dependencies - Add missing fields to dump - Add exclude filters - Add field-XXX filter for any package field - Fix dependency resolution (failing unit tests) - Improve unittests to verify package names not just counts. [ Otavio Salvador ] * Add VCS-{Git,Browser} to debian/control.

    2007-06-13 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.7) unstable; urgency=low * Change build-depends to python | python-dev | python-all-dev, python-support (>= 0.3) to please lintian. * cdd.PackageList: - simplified calc_score method. - fix select_field to avoid walking on every package.

    2006-12-11 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.6) unstable; urgency=high * Use -undef when calling cpp pre-processor to avoid linux and other standard and gcc specific macros to be used. Closes: #399268

    2006-09-17 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.5) unstable; urgency=low [ Otavio Salvador ] * Add testcase: PackageList: A depends on B | virtualC, D provides virtualC * Fix resolution dependency too pass on previous test * Add testcase: PackageList: META depends on A and D, A depends on B | virtualC, D provides virtualC * Fix resolution dependency too pass on previous test [ Tiago Bortoletto Vaz ] * debian/rules - using pysupport instead of pycentral. By using it, it's not necessary pycompat file anymore, either XS-Python-Version and XB-Python-Version in control file * debian/control - remove XS-Python-Version and XB-Python-Version fields - add build-depends python-support instead of python-central - update debhelper version to (>= 5.0.37.2) * debian/compat - update from 4 to 5 * debian/install - removed since lib/*.py files are installed by python-support

    2006-06-14 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.4) unstable; urgency=low [ Otavio Salvador ] * Pass a dictionary with the broken dependencie content so the user can consult what cannot be resolved. * Bump Standards-Version to 3.7.2: - Move CDBS and related depends to Build-Depends; * Follow new python policy (0.4.1). Closes: #373516 - add XS-Python-Version: all in source package; - add XB-Python-Version: ${python:Versions} in binary package; - build-depends of python-all-dev; - build-depends of python-central; - remove debian/dirs, unneeded;

    2006-01-17 - Otavio Salvador <otavio@debian.org> python-cdd (0.0.3) unstable; urgency=low [ Otavio Salvador ] * Fix package selection to right use the scores. * Use a goodness logic to select packages and then avoid to use brute force to selected the _almost_ minimal package set. * Include a test to ensure that we return the broken package when raising PackageList.BrokenDependencies exception. Fixes #18.

    Advertisement
    Advertisement